Bug 843568 - 'Disable restart buttons' of gdm does not work
'Disable restart buttons' of gdm does not work
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-shell (Show other bugs)
x86_64 Linux
unspecified Severity medium
: beta
: ---
Assigned To: Ray Strode [halfline]
Desktop QE
Depends On:
  Show dependency treegraph
Reported: 2012-07-26 12:12 EDT by Vitezslav Humpa
Modified: 2013-11-18 14:25 EST (History)
5 users (show)

See Also:
Fixed In Version: 3.6.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-11-18 14:25:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 686247 None None None 2012-10-16 16:09:14 EDT

  None (edit)
Description Vitezslav Humpa 2012-07-26 12:12:49 EDT
Description of problem:
Using the dconf settings, you can enable 'disable-restart-buttons'. GDM login screen doesn't honor that and keeps these 'buttons' available under the top panel menu icon.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a file /etc/dconf/db/gdm.d/99-site-defaults with this content:


2. Run 'dconf update' under root
3. Restart the GDM session
Actual results:
The 'restart buttons' are still available

Expected results:
Possibly the entire power of icon is not present on the top panel
Comment 1 Florian Müllner 2012-10-16 16:09:14 EDT
(In reply to comment #0)
> Description of problem:
> Steps to Reproduce:
> 1. Create a file /etc/dconf/db/gdm.d/99-site-defaults with this content:
> [org/gnome/login-screen/disable-restart-buttons]
> active=true

Note that this should read


It is currently only used in the fallback greeter though, I filed this upstream as https://bugzilla.gnome.org/show_bug.cgi?id=686247.
Comment 2 Matthias Clasen 2012-10-17 17:41:43 EDT
Fixed upstream in 3.6.1.
Comment 3 Vladimir Benes 2013-10-02 08:42:16 EDT
If I disable restart button under user, I can still see them in gdm, 

if I set this in /etc/dconf/db/gdm.d/99-site-defaults:

no help

this doesn't work either:
Comment 4 Matthias Clasen 2013-10-31 17:56:29 EDT
Indeed, it is not working with gnome-shell 3.8
Comment 5 Florian Müllner 2013-11-05 12:48:21 EST
I've just tested on both Fedora 19 and RHEL 7, and it is working as expected:

# cat > /etc/dconf/db/gdm.d/99-site-settings <<EOT
# dconf update
# systemctl restart gdm.service

Note You need to log in before you can comment on or make changes to this bug.